Package org.opensaml.xmlsec.keyinfo.impl

# Class BasicKeyInfoGeneratorFactory.BasicOptions

java.lang.Object
org.opensaml.xmlsec.keyinfo.impl.BasicKeyInfoGeneratorFactory.BasicOptions

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions`, `X509KeyInfoGeneratorFactory.X509Options`

Enclosing class:
  BasicKeyInfoGeneratorFactory

protected class BasicKeyInfoGeneratorFactory.BasicOptions extends Object implements Cloneable
Options to be used in the production of a `KeyInfo` from a `Credential`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`emitEntityIDAsKeyName`
Emit the entity ID value in a Credential as a KeyName element.
`private boolean`
`emitKeyNames`
Emit key names found in a Credential as KeyName elements.
`private boolean`
`emitPublicDEREncodedKeyValue`
Emit the value of `Credential.getPublicKey()` as a DEREncodedKeyValue element.
`private boolean`
`emitPublicKeyValue`
Emit the value of `Credential.getPublicKey()` as a KeyValue element.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BasicOptions()`

## Method Summary

Modifier and Type
Method
Description
`protected BasicKeyInfoGeneratorFactory.BasicOptions`
`clone()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### emitKeyNames

private boolean emitKeyNames
Emit key names found in a Credential as KeyName elements.

### emitEntityIDAsKeyName

private boolean emitEntityIDAsKeyName
Emit the entity ID value in a Credential as a KeyName element.

### emitPublicKeyValue

private boolean emitPublicKeyValue
Emit the value of `Credential.getPublicKey()` as a KeyValue element.

### emitPublicDEREncodedKeyValue

private boolean emitPublicDEREncodedKeyValue
Emit the value of `Credential.getPublicKey()` as a DEREncodedKeyValue element.

## Constructor Details

### BasicOptions

protected BasicOptions()

## Method Details

### clone

protected BasicKeyInfoGeneratorFactory.BasicOptions clone()

Overrides:
  `clone` in class `Object`